# PRO32 Connect Gateway

Это небольшая служебная headless-утилита, которая устанавливается в локальную сеть вашей компании и выступает шлюзом к внутренним службам для более тесной и бесшовной интеграции.

* Импорт пользователей и устройств из Active Directory
* Установка прокси-сервера для ускорения подключений (скоро)
* Пробуждение по Wake-on-LAN устройств без выделенных IP-адресов (скоро)

## Установка и настройка утилиты

Управление выполняется с помощью консольных команд и конфигурационного файла

### Установка

Создайте каталог для сервиса, например `C:\PRO32Connect\Gateway`. Скопируйте файлы `gateway.exe` и `config.json` в этот каталог. Затем запустите следующую команду из под командной строки:

```
gateway.exe -install
```

### Настройка

Для настройки шлюза используйте конфигурационный файл `config.json`, который должен находиться рядом с файлом `gateway.exe`. В загруженном дистрибутиве вы найдете шаблон этого файла. Вам необходимо заполнить его своими данными. В следующей таблице описаны допустимые поля настройки. Звездочкой отмечены обязательные поля.

| Параметр                  | Тип       | Описание |
| ------------------------- | --------- | -------- |
| `server.host` *           | `string`  | Адрес сервера PRO32 COnnect |
| `server.token` *          | `string`  | Токен для авторизации шлюза вашей учетной записью. Токен генерируется в личном кабинете на [странице настроек](https://pro32connect.ru/dashboard/settings/tokens). |
| `server.secure`           | `boolean` | Проверка сертификата сервера. По умолчанию `true` |

### Запуск службы

После установки и настройки необходимо запустить службу с помощью команды:

```
gateway.exe -start
```

Если все настроено верно, то при запуске в консольном режиме вы увидите логи такого вида:

*Успешная установка связи с сервером PRO32 Connect:*

```
13:51:55.731	INFO	Signaling       connected to signaling server pro32connect.ru
```

Вы также можете увидеть статус подключенного шлюза в личном кабинете в списке токенов

*Успешная установка связи с вашим AD-сервером:*

```
13:51:56.059	INFO	LDAP            connected to 'ldaps://10.51.11.34' as 'ADFS\Administrator' base: 'DC=ADFS,DC=TEST,DC=ME'
```

### Все команды для управления шлюзом

| Команда                   | Описание          |
| ------------------------- | ----------------- |
| `gateway.exe -install`    | Установка службы  |
| `gateway.exe -uninstall`  | Удаление службы   |
| `gateway.exe -start`      | Запуск службы     |
| `gateway.exe -stop`       | Остановка службы  |